/*
 * $Id: check_multiurl.h,v 1.0 2005/11/22 12:03:50 peter Exp $
 * 
 * Author: Peter Ostlin <peter@op5.se>
 * 
 */

const char *progname = "check_multiurl";
const char *revision = "1.3";
        
#define _GNU_SOURCE

#include <stdarg.h>
#include <pthread.h>
#include <errno.h>
#include <signal.h>
#include <sys/select.h>
#include <sys/wait.h>
#include <fcntl.h>
#include <sys/poll.h>
#include "common.h"
#include "runcmd.h"
#include "utils.h"
#define BUFSIZE 4096
#define STATE_OK 0
#define STATE_WARNING 1
#define STATE_CRITICAL 2
#define STATE_UNKNOWN 3
#define SOCKET_T 60

/* These you might wanna change */
#define MAX_URLS 200 /* Maximum number of url's in one check */
#define MAX_URL_LENGTH 255 /* Max length of a url */

/* Keep the number of threads relativly low if checking virtual */
/* hosts on the same server. (20 or so)                         */
#define MAX_NUM_THREADS 10 /* Number of concurrent checks       */
